Package org.apache.wiki.htmltowiki.syntax.markdown

## Class MarkdownSyntaxDecorator

- java.lang.Object
- - org.apache.wiki.htmltowiki.syntax.WikiSyntaxDecorator
  - - org.apache.wiki.htmltowiki.syntax.markdown.MarkdownSyntaxDecorator

All Implemented Interfaces:
  `org.apache.wiki.htmltowiki.SyntaxDecorator`

    public class MarkdownSyntaxDecorator
    extends org.apache.wiki.htmltowiki.syntax.WikiSyntaxDecorator

Markdown wiki syntax decorator which translates to wiki syntax. Delegates each kind of XHTML element to its specific decorator.

### Field Summary

### Fields inherited from class org.apache.wiki.htmltowiki.syntax.WikiSyntaxDecorator

`a, br, chain, code, config, css, cssStyle, dd, dl, dt, em, form, h1, h2, h3, h4, hr, img, input, li, ol, option, outTrimmer, p, plainText, pre, select, strike, strong, sub, sup, table, tbody, td, textarea, textElement, th, thead, tr, ul, underline`

### Constructor Summary

Constructors
`MarkdownSyntaxDecorator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `init​(java.io.PrintWriter out, java.util.Deque<java.lang.String> liStack, java.util.Deque<java.lang.String> preStack, org.apache.wiki.htmltowiki.WhitespaceTrimWriter outTrimmer, org.apache.wiki.htmltowiki.XHtmlToWikiConfig config, org.apache.wiki.htmltowiki.XHtmlElementToWikiTranslator chain)`

### Methods inherited from class org.apache.wiki.htmltowiki.syntax.WikiSyntaxDecorator

`a, aFootnote, aUndefined, br, code, dd, dl, dt, em, form, h1, h2, h3, h4, hr, image, img, input, li, ol, option, p, paragraph, pre, select, strike, strong, sub, sup, table, tbody, td, text, textarea, th, thead, tr, ul, underline`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MarkdownSyntaxDecorator

    public MarkdownSyntaxDecorator()

### Method Detail

#### init

    public void init​(java.io.PrintWriter out,
                     java.util.Deque<java.lang.String> liStack,
                     java.util.Deque<java.lang.String> preStack,
                     org.apache.wiki.htmltowiki.WhitespaceTrimWriter outTrimmer,
                     org.apache.wiki.htmltowiki.XHtmlToWikiConfig config,
                     org.apache.wiki.htmltowiki.XHtmlElementToWikiTranslator chain)